Name:		multibit
Version:	0.5.14
Release:	%mkrel 1
Summary:	Is a secure, lightweight, international Bitcoin wallet
Summary(fr_FR):	Est un portefeuille Bitcoin international sécurisé et léger
License:	MIT
Group:		Office/Suite
URL:		https://multibit.org/
# wget https://github.com/jim618/multibit/archive/release-%%{version}.tar.gz -O %%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
Source1:	https://multibit.org/releases/%{name}-%{version}/%{name}-exe.jar
Source2:	%{name}.sh
Source3:	multibit48.png
BuildArch:	noarch

BuildRequires:	unzip

Requires:	java-1.7.0-openjdk 

%description
MultiBit makes performing Bitcoin transactions quick and
simple and it comes in a variety of languages because
Bitcoin is without borders.

%description -l fr_FR
Multibit rend l'exécution des transactions de Bitcoin simple 
et rapide et on le trouve dans une grande variété de langues 
parce que Bitcoin est sans frontières. 

%prep
%setup -q -n %{name}-release-%{version}

%build

%install
rm -rf src

mkdir -p %{buildroot}%{_bindir}

# .jar-repertory
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_javadir}/%{name}/%{name}-exe.jar

# data-repertory
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -p %{SOURCE2} %{buildroot}%{_datadir}/%{name}/%{name}.sh
cp -p %{SOURCE3} %{buildroot}%{_datadir}/%{name}/multibit.png

# icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/multibit.png

# menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Multibit
Name[fr]=Multibit
Comment=Secure, lightweight, international Bitcoin wallet
Comment[fr]=Portefeuille Bitcoin international sécurisé et léger
Exec=java -jar /usr/share/java/multibit/multibit-exe.jar
Terminal=false
Type=Application
Icon=multibit.png
StartupNotify=true
MimeType=
Categories=Office;
EOF

#make Excutable
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd /usr/share/multibit/
sh ./%{name}.sh "$@"
EOF

chmod 0755 %{buildroot}%{_bindir}/%{name}

%files 
%doc COPYING *.md *.txt
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_javadir}/%{name}/%{name}-exe.jar
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Oct 06 2013 david.david (MLO Team) <david.david> 0.5.14-1.mga3
- New version: 0.5.14
- rename package to multibit instead of MultiBit (Mageia policies)
- fix correct repertory for jar files '%%{_javadir}'  

* Wed May 29 2013 david.david (MLO Team) <david.david> 0.5.10-1.mga3
+ New version: 0.5.10
- add french language in %%description and %%Summary
- add Source1, Source2 and Source3
- update License to MIT

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 0.4.23-5.mga3
+ Revision: 5
- correcting "spec" file

* Tue Apr 23 2013 david.david (MLO Team) <david.david> 0.4.23-4.mga3
+ Rebuild package for Mageia 3 (Core)
- version: 0.4.23

* Sun Apr 21 2013 Adrien.D <adrien.d> 0.4.23-3.mga2
+ Revision: 3
- modification du fichier spec

* Tue Apr 16 2013 Adrien.D <adrien.d> 0.4.23-2.mga2
+ Revision: 2
- Correction du raccourcci.

* Tue Apr 16 2013 Adrien.D <adrien.d> 0.4.23-1.mga2
+ Revision: 1
- New RPM Package